## GZlibDecompressor

GZlibDecompressor — Zlib decompressor

## Functions

GZlibDecompressor * | g_zlib_decompressor_new ()
GFileInfo * | g_zlib_decompressor_get_file_info ()

## Properties

GFileInfo * | file-info | Read
GZlibCompressorFormat | format | Read / Write / Construct Only

## Types and Values

| GZlibDecompressor

## Object Hierarchy

        GObject
        ╰── GZlibDecompressor

## Implemented Interfaces

GZlibDecompressor implements GConverter.

## Includes

    #include <gio/gio.h>

## Description

GZlibDecompressor is an implementation of GConverter that decompresses data compressed with zlib.

## Functions

### g_zlib_decompressor_new ()

    GZlibDecompressor *
    g_zlib_decompressor_new (GZlibCompressorFormat format);

Creates a new GZlibDecompressor.

#### Parameters

format | The format to use for the compressed data |

#### Returns

a new GZlibDecompressor

Since: 2.24

### g_zlib_decompressor_get_file_info ()

    GFileInfo *
    g_zlib_decompressor_get_file_info (GZlibDecompressor *decompressor);

Retrieves the GFileInfo constructed from the GZIP header data of compressed data processed by `compressor` , or `NULL` if `decompressor` 's “format” property is not `G_ZLIB_COMPRESSOR_FORMAT_GZIP`, or the header data was not fully processed yet, or it not present in the data stream at all.

#### Parameters

decompressor | a GZlibDecompressor |

#### Returns

a GFileInfo, or `NULL`.

[transfer none]

Since: 2.26

## Types and Values

### GZlibDecompressor

    typedef struct _GZlibDecompressor GZlibDecompressor;

Zlib decompression

## Property Details

### The `“file-info”` property

      “file-info”                GFileInfo *

A GFileInfo containing the information found in the GZIP header of the data stream processed, or `NULL` if the header was not yet fully processed, is not present at all, or the compressor's “format” property is not `G_ZLIB_COMPRESSOR_FORMAT_GZIP`.

Flags: Read

Since: 2.26

### The `“format”` property

      “format”                   GZlibCompressorFormat

The format of the compressed data.

Flags: Read / Write / Construct Only

Default value: G_ZLIB_COMPRESSOR_FORMAT_ZLIB